Subject: pkg_rolling-replace persistent problem
To: None <>
From: Antti Kantee <>
List: pkgsrc-users
Date: 11/26/2007 16:35:03

I'm trying to run pkg_rolling-replace for the first time.  It worked
fine for the 50-or-so packages, but then I get this persistent error
for each package it tries to install:

> pkg_rolling-replace -rsuv
=> Becoming ``root'' to make su-replace (sudo)
Creating binary package: p5-perl-headers-4.99.12nb3
Creating package /objs/pkgsrc/devel/p5-perl-headers/work/p5-perl-headers-4.99.12nb3
Registering depends: perl>=5.8.7.
Registering conflicts:.
=> Preserving existing +INSTALLED_INFO file.
=> Preserving existing +REQUIRED_BY file.
===> Deinstalling for p5-perl-headers-4.99.35nb3
Running /usr/sbin/pkg_delete -K /var/db/pkg  p5-perl-headers-4.99.12nb3
Executing `/bin/rmdir -p /usr/pkg/lib/perl5/vendor_perl/5.8.0/i386-netbsd-thread-multi/x86 2>/dev/null || true'
Executing `/bin/rmdir -p /usr/pkg/lib/perl5/vendor_perl/5.8.0/i386-netbsd-thread-multi 2>/dev/null || true'
===> Checking for vulnerabilities in p5-perl-headers-4.99.35nb3
=> Fixing @pkgdep entries in dependent packages.
mv: rename /objs/pkgsrc/devel/p5-perl-headers/work/.replace-+REQUIRED_BY to /var/db/pkg/p5-perl-headers-4.99.35nb3/+REQUIRED_BY: No such file or directory
*** Error code 1

Even if I "skip" a package by manually installing it, the next one
failts in the same way.  Joerg suggested pkg_admin rebuild-tree, but
that didn't help.

Any ideas?

Antti Kantee <>                     Of course he runs NetBSD                
    "la qualité la plus indispensable du cuisinier est l'exactitude"